import React from 'react';
import { useNavigate } from 'react-router-dom';
import { Container, Row, ButtonToolbar, Button } from 'react-bootstrap';
import { Sections } from "compendium/helpers/constants";

interface inputProps {
    activeCategory: Sections
}

const SectionNavigation = ({ activeCategory }: inputProps) => {
    const navigate = useNavigate();
    return (
        <Container>
            <Row>
                <ButtonToolbar className="navbox-bar gap-2 m-3">
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Organisation ? '.' : '/funding')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Organisation}>
                        <span>{Sections.Organisation}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Policy ? '.' : '/corporate-strategy')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Policy}>
                        <span>{Sections.Policy}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.ConnectedUsers ? '.' : '/institutions-urls')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.ConnectedUsers}>
                        <span>{Sections.ConnectedUsers}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Network ? '.' : '/dark-fibre-lease')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Network}>
                        <span>{Sections.Network}</span>
                    </Button>
                    <Button
                        onClick={() => navigate(activeCategory === Sections.Services ? '.' : '/network-services')}
                        variant={'nav-box'}
                        active={activeCategory === Sections.Services}>
                        <span>{Sections.Services}</span>
                    </Button>
                </ButtonToolbar>
            </Row>
        </Container>

    )
}

export default SectionNavigation