import { ReactElement, useContext } from "react";
import { Link } from "react-router-dom";
import { useLocation } from "react-router-dom";
import { Col, Container, Row } from "react-bootstrap";
import GeantLogo from "compendium/images/geant_logo_f2020_new.svg";
import { userContext } from "compendium/providers/UserProvider";

function ExternalPageNavBar(): ReactElement {
    const { user } = useContext(userContext);
    const { pathname } = useLocation();

    return (
        <div className={'external-page-nav-bar'}>

            <Container>
                <Row>
                    <Col xs={10}>
                        <div className="nav-wrapper">
                            <nav className="header-nav">
                                <a href="https://geant.org/"><img src={GeantLogo} alt="GÉANT Logo" /></a>

                                <ul>
                                    <li><a className="nav-link-entry" href="https://network.geant.org/">NETWORK</a></li>
                                    <li><a className="nav-link-entry" href="https://geant.org/services/">SERVICES</a></li>
                                    <li><a className="nav-link-entry" href="https://community.geant.org/">COMMUNITY</a></li>
                                    <li><a className="nav-link-entry" href="https://tnc23.geant.org/">TNC</a></li>
                                    <li><a className="nav-link-entry" href="https://geant.org/projects/">PROJECTS</a></li>
                                    <li><a className="nav-link-entry" href="https://connect.geant.org/">CONNECT</a></li>
                                    <li><a className="nav-link-entry" href="https://impact.geant.org/">IMPACT</a></li>
                                    <li><a className="nav-link-entry" href="https://careers.geant.org/">CAREERS</a></li>
                                    <li><a className="nav-link-entry" href="https://about.geant.org/">ABOUT</a></li>
                                    <li><a className="nav-link-entry" href="https://connect.geant.org/community-news">NEWS</a></li>
                                    <li><a className="nav-link-entry" href="https://resources.geant.org/">RESOURCES</a></li>
                                    <li><Link className="nav-link-entry" to="/">COMPENDIUM</Link></li>
                                </ul>

                            </nav>
                        </div>

                    </Col>
                    <Col xs={2}>
                        {user.permissions.admin && !pathname.includes('survey') && <div className='nav-link' style={{ float: 'right' }}><Link className='nav-link-entry' to="/survey"><span>Go to Survey</span></Link></div>}
                    </Col>
                </Row>
            </Container>
        </div >
    );
}

export default ExternalPageNavBar;