import { useContext, useEffect } from "react";
import { useSearchParams } from "react-router-dom";
import { PreviewContext } from "compendium/providers/PreviewProvider";
import { userContext } from "compendium/providers/UserProvider";

export function usePreview() {
    const { preview, setPreview } = useContext(PreviewContext);
    const { user } = useContext(userContext);
    const [searchParams] = useSearchParams();

    const previewParameter = searchParams.get('preview');

    useEffect(() => {
        if (previewParameter !== null && (user.permissions.admin || user.role == 'observer')) {
            setPreview(true);
        }
    }, [previewParameter, setPreview, user]);

    return preview;
}