import React, { useEffect, useState } from 'react';
import './App.css';
import { SurveyCreatorWidget } from './SurveyCreator';
import { setLicenseKey } from "survey-core";


function App() {
    const [licenseKey, setKey] = useState<string | null>(null);

    useEffect(() => {
        async function getLicenseKey() {
            const response = await fetch("/license-key");
            if (response.ok) {
                const licenseKey = await response.text();
                return licenseKey;
            }
        }

        getLicenseKey().catch(console.error).then((key) => {
            if (key) {
                setLicenseKey(key);
                setKey(key);
            } else {
                alert('Failed to fetch license key, make sure you have survey-creator.license file alongside webpack.config.ts')
            }
        });
    }, []);

    return licenseKey ? (
        <div className="App">
            <SurveyCreatorWidget></SurveyCreatorWidget>
        </div>
    ) : <div>Fetching license...</div>;
}

export default App;