"""add traffic volume table

Revision ID: 3730c7f1ea1b
Revises: d6f581374e8f
Create Date: 2023-09-01 10:26:29.089050

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3730c7f1ea1b'
down_revision = 'f2879a6b15c8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'traffic_volume',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('to_customers', sa.Numeric(), nullable=False),
        sa.Column('from_customers', sa.Numeric(), nullable=False),
        sa.Column('to_external', sa.Numeric(), nullable=False),
        sa.Column('from_external', sa.Numeric(), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_traffic_volume_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', name=op.f('pk_traffic_volume'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('traffic_volume')
    # ### end Alembic commands ###
