"""Add reponse lock fields

Revision ID: 45bcb38901aa
Revises: 5c9016cc6348
Create Date: 2023-08-06 21:43:10.089217

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '45bcb38901aa'
down_revision = '5c9016cc6348'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.add_column(sa.Column('locked_by', sa.Uuid(), nullable=True))
        batch_op.add_column(sa.Column('lock_uuid', sa.Uuid(), nullable=True))
        batch_op.create_foreign_key(batch_op.f('fk_survey_response_locked_by_user'), 'user', ['locked_by'], ['id'])

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_survey_response_locked_by_user'), type_='foreignkey')
        batch_op.drop_column('lock_uuid')
        batch_op.drop_column('locked_by')

    # ### end Alembic commands ###
