"""adding charging structure schema

Revision ID: b123f21a8f4c
Revises: b70ada054046
Create Date: 2023-04-05 22:02:02.248236

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b123f21a8f4c'
down_revision = 'b70ada054046'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'charging_structure',
        sa.Column('nren', sa.String(length=128), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('fee_type', sa.Enum("flat_fee", "usage_based_fee",
                                      "combination", "no_charge",
                                      "other",
                                      name="fee_type"), nullable=True),
        sa.PrimaryKeyConstraint('nren', 'year')
    )


def downgrade():
    op.drop_table('charging_structure')
    if op.get_context().dialect.name == 'postgresql':
        op.execute("DROP TYPE fee_type")
