"""Add NREN exclusions

Revision ID: c49b3a8b3c30
Revises: 7d1a8783770d
Create Date: 2025-02-12 16:24:27.204181

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c49b3a8b3c30'
down_revision = '7d1a8783770d'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'nren_exclusion',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_nren_exclusion_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', name=op.f('pk_nren_exclusion'))
    )


def downgrade():
    op.drop_table('nren_exclusion')
