from setuptools import setup, find_packages

setup(
    name='compendium-v2',
    version="0.95",
    author='GEANT',
    author_email='swd@geant.org',
    description='Flask and React project for displaying '
                'Compendium related reports and survey',
    url='https://gitlab.geant.org/geant-swd/compendium-v2',
    packages=find_packages(),
    install_requires=[
        'alembic==1.14.1',
        'alembic-postgresql-enum==0.4.0',
        'authlib==1.4.0',
        'click==8.1.8',
        'jsonschema',
        'flask==3.1.0',
        'flask-cors==5.0.0',
        'flask-migrate==4.1.0',
        'flask-sqlalchemy==3.1.1',
        'openpyxl==3.1.5',
        'psycopg2-binary==2.9.10',
        'SQLAlchemy==2.0.37',
        'sentry-sdk[flask]',
        'flask-login==0.6.3',
        'validators==0.34.0',
        'requests',
    ],
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'conversion=compendium_v2.conversion.conversion:cli',
            'dump_survey_model=compendium_v2.migrations.dump_survey_model:cli',
            'legacy-survey-publisher=compendium_v2.publishers.legacy_publisher.survey_publisher_legacy:cli',
            'excel-survey-publisher=compendium_v2.publishers.survey_publisher_legacy_excel:cli',
            'db-publisher-2022=compendium_v2.publishers.survey_publisher_old_db_2022:cli',
        ]
    },
    license='MIT',
    license_files=('LICENSE.txt',),
    classifiers=[
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'License :: OSI Approved :: MIT License',
        'Development Status :: 5 - Production/Stable'
    ],
    python_requires='>=3.6'

)
